curl --request POST \
--url https://api.pinecone.io/admin/role-bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Pinecone-Api-Version: <x-pinecone-api-version>' \
--data '
{
"principal_id": "e2e92523-85dc-4142-b8c2-e681be8b78df",
"principal_type": "user",
"resource_type": "organization",
"role": "OrgMember"
}
'{
"created_at": "2026-04-10T15:23:00.000Z",
"id": "9a8e3528-b9c0-4358-84ce-84c28e91b566",
"principal_id": "f8a3b2c1-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"principal_type": "service_account",
"resource_id": "a2f7dddb-1597-4eff-9f71-535fde243f58",
"resource_type": "project",
"role": "DataPlaneEditor"
}Role Bindings
Create a role binding
Grant a role to a principal at an organization or project scope.
POST
/
admin
/
role-bindings
curl --request POST \
--url https://api.pinecone.io/admin/role-bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Pinecone-Api-Version: <x-pinecone-api-version>' \
--data '
{
"principal_id": "e2e92523-85dc-4142-b8c2-e681be8b78df",
"principal_type": "user",
"resource_type": "organization",
"role": "OrgMember"
}
'{
"created_at": "2026-04-10T15:23:00.000Z",
"id": "9a8e3528-b9c0-4358-84ce-84c28e91b566",
"principal_id": "f8a3b2c1-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"principal_type": "service_account",
"resource_id": "a2f7dddb-1597-4eff-9f71-535fde243f58",
"resource_type": "project",
"role": "DataPlaneEditor"
}Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Body
application/json
Principal, resource scope, and role to bind.
Response
Role binding created.
Grants a role to a principal at a resource scope.
Was this page helpful?